﻿/* 메인 */
.visual {
    position: relative;
    width: 100%;
    height: 100vh;
    background-color: #051129;
    overflow: hidden;
}

.main_slider {
    width: 100%;
    height: 100vh;
}

.visual_texts {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
/*    bottom: 3rem;*/
    z-index: 2;
}


.visual_text1 {
    font-size: var(--fs-120);
    margin-bottom: var(--gap-80);
}

.visual_text2 {
    font-size: var(--fs-80);
}

.visual_text3 {
    font-size: var(--fs-45);
    line-height: 1.25;
}

.main_center {
    row-gap: 5rem;
}

.main {
    background: url('../images/main_03.png') no-repeat top #051123;
}

.main_line {
    display: block;
    width: 50px;
    height: 2px;
    background-color: #FFFFFF;
}

.main_subTit {
    line-height: 1.5;
}

.main_desc {
    line-height: 1.5;
}
.main {
    padding-bottom: 10rem;
}

.main_center {
    position: relative;
}

.main_texts {
    width: 100%;
    position: relative;
}

.more_btn {
    display: block;
    position: relative;
    border: 1px solid #FFF;
    box-sizing: border-box;
    color: #FFF;
    cursor: pointer;
    transition: all 0.5s;
}

    .more_btn::after {
        content: "";
        display: block;
        transition: background .5s;
    }

    .more_btn::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        width: 0%;
        height: 100%;
        background-color: rgba(18, 100, 200, 0.5);
        transition: width .5s;
        z-index: -1;
    }

    .more_btn:hover::before {
        width: 100%;
    }

    .more_btn:hover span {
        display: block;
        line-height: 0;
        transition: all 1s;
    }

    .more_btn.go_about, .more_btn.go_projects {
        padding: 1.5rem 2rem;
        width: fit-content;
        height: auto;
    }

    .more_btn i {
        margin-left: 10px;
    }

.business_area {
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 3.5rem;
}

    .business_area a {
        width: 33.33%;
        padding: 6rem 0;
        box-sizing: border-box;
        min-height: 15rem;
        position: relative;
    }

        .business_area a span {
            opacity: 0;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            transition: opacity .3s ease-in-out;
        }

        .business_area a:hover span {
            opacity: 1;
        }

        .business_area a p {
            opacity: 1;
            transition: opacity 0.3s ease-in-out;
            display: block;
        }

        .business_area a:hover p {
            opacity: 0;
        }

@media screen and (min-width: 960px) {
    .visual_texts {
        bottom: auto;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    .visual_pc {
        display: block !important;
        max-width: none;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }

    .visual_mobile {
        display: none !important;
    }
}

